View Issue Details

IDCategoryLast Update
0005605bugs2017-06-09 14:49
ReporterpaddybuAssigned Tox42 
Reproducibilityalways 
Status resolvedResolutionnot fixable 
Product Version 
Fixed in Version 
Summary0005605: Hangs while starting at loading UI config files
DescriptionWhen I start ardour from Terminal, it stops doing anything visible at this point:
ardour: [INFO]: Loading ui configuration file /usr/local/etc/ardour3/ardour3_ui_dark.rc

Sometimes, after waiting a long time Ardour continues working, but most of the times not. While waiting, Ardour uses as much as possible power from one processor core.
The core dump of gdb after cancelling Ardour is attached.
Additional Information(gdb) thread apply all bt

Thread 5 (Thread 0x7fffe1502700 (LWP 6254)):
#0 0x00007ffff1dfcd84 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
0000001 0x00007ffff502609f in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2 0x00007ffff726cda9 in ARDOUR::Analyser::work () at ../libs/ardour/analyser.cc:81
#3 0x00007ffff726cb91 in analyser_work () at ../libs/ardour/analyser.cc:46
0000004 0x0000000000bbbdf9 in sigc::pointer_functor0<void>::operator() (this=0x18e5e98) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
0000005 0x0000000000bb9598 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x18e5e90)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
#6 0x0000000000bb5fe5 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x18e5e60) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
#7 0x00007ffff572dd4d in operator() (this=0x18cfbe0) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:440
0000008 (anonymous namespace)::call_thread_entry_slot (data=0x18cfbe0) at threads.cc:44
0000009 0x00007ffff500c645 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000010 0x00007ffff1df8e9a in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000011 0x00007ffff0563ccd in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000012 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fffe1d03700 (LWP 6253)):
#0 0x00007ffff1dfcd84 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
0000001 0x00007ffff502609f in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2 0x00007ffff766b52e in peak_thread_work () at ../libs/ardour/source_factory.cc:68
#3 0x0000000000bbbdf9 in sigc::pointer_functor0<void>::operator() (this=0x195c468) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
0000004 0x0000000000bb9598 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x195c460)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
0000005 0x0000000000bb5fe5 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x195c430) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
#6 0x00007ffff572dd4d in operator() (this=0x18d0020) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:440
#7 (anonymous namespace)::call_thread_entry_slot (data=0x18d0020) at threads.cc:44
0000008 0x00007ffff500c645 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000009 0x00007ffff1df8e9a in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000010 0x00007ffff0563ccd in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000011 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fffe2504700 (LWP 6252)):
#0 0x00007ffff1dfcd84 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
0000001 0x00007ffff502609f in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2 0x00007ffff766b52e in peak_thread_work () at ../libs/ardour/source_factory.cc:68
#3 0x0000000000bbbdf9 in sigc::pointer_functor0<void>::operator() (this=0x1958088) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
0000004 0x0000000000bb9598 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x1958080)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
0000005 0x0000000000bb5fe5 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x1958050) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
#6 0x00007ffff572dd4d in operator() (this=0x18d8370) at /usr/include/sigc++-2.0/sigc++/functors/slot.h:440
#7 (anonymous namespace)::call_thread_entry_slot (data=0x18d8370) at threads.cc:44
0000008 0x00007ffff500c645 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000009 0x00007ffff1df8e9a in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000010 0x00007ffff0563ccd in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000011 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fffe2d05700 (LWP 6251)):
#0 0x00007ffff052f84d in nanosleep () from /lib/x86_64-linux-gnu/libc.so.6
0000001 0x00007ffff055d784 in usleep () from /lib/x86_64-linux-gnu/libc.so.6
#2 0x0000000000e70d56 in gui_event_loop (ptr=0x0) at ../gtk2_ardour/linux_vst_gui_support.cc:380
#3 0x00007ffff1df8e9a in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000004 0x00007ffff0563ccd in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000005 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ffff7fa89c0 (LWP 6245)):
#0 0x00007ffff54cfd23 in g_type_check_instance_cast () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
0000001 0x00007fffe3611b5d in ?? () from /usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/engines/libpixmap.so
#2 0x00007ffff54b30a8 in g_object_unref () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#3 0x00007ffff4ae9f4e in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000004 0x00007ffff4aeb015 in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000005 0x00007ffff4aeb1d8 in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#6 0x00007ffff4ae9d22 in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#7 0x00007ffff4aeb015 in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000008 0x00007ffff4aeb1d8 in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000009 0x00007ffff4aeb3a8 in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000010 0x00007ffff4aeb8f8 in gtk_rc_reparse_all_for_settings () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000011 0x00007ffff54ae140 in g_closure_invoke () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
0000012 0x00007ffff54bf550 in ?? () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
0000013 0x00007ffff54c74af in g_signal_emit_valist () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
0000014 0x00007ffff54c7642 in g_signal_emit () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#15 0x00007ffff54b2af5 in ?? () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
0000016 0x00007ffff54b253e in ?? () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#17 0x00007ffff54b4593 in g_object_thaw_notify () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
0000018 0x00007ffff4b07cf0 in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000019 0x00007ffff4b08d80 in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000020 0x00007ffff4ae9da1 in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000021 0x00007ffff4aeb015 in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000022 0x00007ffff4aeb1d8 in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000023 0x00007ffff4aeb485 in gtk_rc_parse () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
#24 0x00007ffff62206e1 in Gtkmm2ext::UI::load_rcfile (this=0x172c6d0, path=..., themechange=false) at ../libs/gtkmm2ext/gtk_ui.cc:158
0000025 0x0000000000d89d58 in load_rc_file (filename=..., themechange=false) at ../gtk2_ardour/theme_manager.cc:237
0000026 0x0000000000d8af12 in ThemeManager::setup_theme (this=0x1919030) at ../gtk2_ardour/theme_manager.cc:393
0000027 0x0000000000d8881b in ThemeManager::ThemeManager (this=0x1919030, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at ../gtk2_ardour/theme_manager.cc:128
0000028 0x000000000062ff8e in WM::Proxy<ThemeManager>::get (this=0x172ede0, create=true) at ../gtk2_ardour/window_manager.h:209
0000029 0x0000000000614d0f in ARDOUR_UI::ARDOUR_UI (this=0x172c6d0, argcp=0x7fffffffde7c, argvp=0x7fffffffde70, localedir=0xf31088 "/usr/local/share/locale")
    at ../gtk2_ardour/ardour_ui.cc:367
0000030 0x00000000009e98f6 in main (argc=1, argv=0x7fffffffdfb8) at ../gtk2_ardour/main.cc:523
TagsNo tags attached.

Relationships

has duplicate 0006809 new Startup gets stuck in loop loading in themes 
has duplicate 0006884 resolvedpaul Ardour won't start after installing KDE desktop on top of Mate 
related to 0006264 new Ardour hangs on startup 
related to 0006616 new Freeze on startup in UIConfiguration::load_color_theme() 
related to 0006942 resolvedpaul Ardour hangs at startup with gtk Clearlooks unexpexted identifier 'reliefstyle' 

Activities

paddybu

2013-07-21 10:56

reporter   ~0015148

I forgot something: Deleting the file that Ardour intents to load makes it able to start, but in a ugly look of course.

x42

2013-07-21 11:34

administrator   ~0015149

Can you reproduce this with the binary bundle "Free Demo" from http://ardour.org/download.html ?

This is very likely caused by the specific version of gtk+ or its configuration on your system.

On debian-based systems you can install "libgtk2.0-0-dbg" which will pull in debug symbols (fill in the "??" for libgtk-x11 functions); that might shed some light on what is going on (other distributions have similar methods for providing library debug symbols).

However, I doubt there's anything we can do about it - except maybe reporting the issue upstream at gtk or your distribution. Although at this point we have too little information. It could also be caused by some other gtkrc files or options present on your system..

paddybu

2013-07-21 21:15

reporter   ~0015152

I tried something that I didn't think of before for some reason: I ran Ardour with root rights and it worked...

paul

2013-07-23 01:05

administrator   ~0015156

running ardour as root is never acceptable.

the error is almost certainly caused by a system/distro-specific issue. Please check the free demo version from ardour.org as suggested by x42.

infinoid

2013-08-01 21:29

reporter   ~0015208

As x42 says, there's too little information. So I gathered a bit more.

I can reproduce this too, using the Ubuntu 12.04 packages from the kxstudio ppa. It's weird; it takes a random, but usually very long, amount of time to start up.

I cannot reproduce it using the Free Demo binary. I can reproduce it using sources built locally (on current Ubuntu 12.04.x).

I dropped some debug messages into the source and rebuilt. The following line in libs/gtkmm2ext/gtk_ui.cc is where it stops:

        RC rc (path.c_str());

The gtk libs seem to be parsing the theme file over and over in a tight CPU loop. If I add an extra "}" to the file, I get thousands of parse error messages on stderr.

Removing the file allows ardour3 to start up quickly. Replacing it with an empty file also allows it to start up quickly. Here is a minimal file that causes it to start up slowly (for me):

gtk_color_scheme = "ARDOUR_DARK_base:#171717"
style "default" = "medium_text" {
  GtkTreeView::even-row-color = shade(0.25,@ARDOUR_DARK_base)
  GtkTreeView::odd-row-color = lighter(lighter(@ARDOUR_DARK_base))
}

I put an exit(0) at the end of UI::load_rcfile(), and ran "time bin/ardour3" 5 times with the above config file, to see how long it sat there spinning. Here are the times I got:

bin/ardour3 155.17s user 7.86s system 100% cpu 2:41.97 total
bin/ardour3 2.42s user 0.15s system 99% cpu 2.581 total
bin/ardour3 113.35s user 5.97s system 100% cpu 1:59.00 total
bin/ardour3 112.96s user 5.70s system 100% cpu 1:58.33 total
bin/ardour3 20.26s user 0.99s system 100% cpu 21.222 total

(I put a print statement above the RC constructor, which was printed within a tenth of a second in all cases.)

x42

2013-08-01 21:54

administrator   ~0015209

so, long story short, the gtkmm library that comes with Ubuntu 12.04 is buggy.

x42

2013-08-01 21:56

administrator   ~0015210

FWIW, RC in this case is Gtk::RC

https://developer.gnome.org/gtkmm/2.24/classGtk_1_1RC.html

infinoid

2013-08-01 22:15

reporter   ~0015211

The way that ardour3 has set up the environment is involved, somehow. The following program runs the same constructor on the same file, and it runs fine:

#include <gtkmm/rc.h>
int main() {
    Gtk::RC rc("etc/ardour3/ardour3_ui_dark.rc");
    return 0;
}

infinoid

2013-08-01 22:25

reporter   ~0015212

Anyway, I think that your assessment is probably correct, but I'm hoping to make a clearer reproducer that I can post on the Ubuntu issue tracker.

Thanks for your input.

x42

2013-08-01 22:27

administrator   ~0015213

wow. good job.

can you try with the environment set in gtk2_ardour/ardev_common.sh.in

in particular with export GTK_PATH=~/.ardour3:$libs/clearlooks-newer
(where $libs is <ardour-source>/build/libs/

infinoid

2013-08-02 22:35

reporter   ~0015217

The Gtk::RC class is sensitive to the order in which things get initialized, at least on my system. It behaves a lot better if the RC object is created *before* the gtk libraries are initialized. (This is apparently the expected usage; the above API link talks about managing the list of files to be read at the end of gtk_init.)

Anyway, on my system, it seems to hang if it's given the filename later on. As proof of concept, this hacky patch gets ardour3 starting reliably on my Ubuntu 12.04 system:

diff --git a/libs/gtkmm2ext/gtk_ui.cc b/libs/gtkmm2ext/gtk_ui.cc
index 6e466f5..05f407c 100644
--- a/libs/gtkmm2ext/gtk_ui.cc
+++ b/libs/gtkmm2ext/gtk_ui.cc
@@ -69,6 +69,7 @@ UI::UI (string namestr, int *argc, char ***argv)
        , _receiver (*this)
          
 {
+ RC rc("/PATH/TO/INSTALL/etc/ardour3/ardour3_ui_dark.rc");
        theMain = new Main (argc, argv);
 
        _active = false;


It's unclear whether it's a problem with the gtkmm library itself, or the other rc files installed on my system.

x42

2013-08-03 02:35

administrator   ~0015220

Changing the theme at rumtime e.g.
  Window > Theme Manager > Light | Dark
also evaluates Gtk::RCs. Does that also hang?

infinoid

2013-08-03 12:10

reporter   ~0015223

Yes.

x42

2013-08-03 12:41

administrator   ~0015224

re (0015217): It's likley not a problem with thr rc files on your system.
otherwise the official binary (that includes libgktmm) would also have the problem.

the gtkmm that comes with ardour is 2.24.2 and was configured with
<code>
  ./configure --prefix=/home/a3/inst/
</code>

..so it may be configure-flags that ubuntu uses and/or built-in search path in /usr
I don't know the details there.
Running 'strace' might show what's going on. or single-stepping the Gtk::RC with gdb..

2013-08-03 14:06

 

5605-strace.txt (34,765 bytes)
14024 lstat("/home/infinoid/bounce/ardour3/etc/ardour3/ardour3_ui_dark.rc", {st_mode=S_IFREG|0664, st_size=211, ...}) = 0
14024 open("/home/infinoid/bounce/ardour3/etc/ardour3/ardour3_ui_dark.rc", O_RDONLY) = 11
14024 read(11, "gtk_color_scheme = \"ARDOUR_DARK_"..., 4000) = 211
14024 read(11, "", 4000)                = 0
14024 close(11)                         = 0
14024 access("/home/infinoid/bounce/ardour3/etc/ardour3/ardour3_ui_dark.rc.en_US", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/etc/ardour3/ardour3_ui_dark.rc.en", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/.themes/Ambiance/gtk-2.0/gtkrc", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/share/themes/Ambiance/gtk-2.0/gtkrc", F_OK) = 0
14024 lstat("/usr/share/themes/Ambiance/gtk-2.0/gtkrc", {st_mode=S_IFREG|0644, st_size=18622, ...}) = 0
14024 open("/usr/share/themes/Ambiance/gtk-2.0/gtkrc", O_RDONLY <unfinished ...>
14041 <... nanosleep resumed> NULL)     = 0
14024 <... open resumed> )              = 11
14041 recvfrom(9,  <unfinished ...>
14024 read(11, "gtk-color-scheme = \"base_color:#"..., 4000) = 4000
14041 <... recvfrom resumed> 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 read(11, " (1.15, @fg_color_dark)\n\ttext[SE"..., 4000) = 4000
14041 <... nanosleep resumed> NULL)     = 0
14041 recvfrom(9, 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 read(11, "der-length = 13\n\n\tbg[ACTIVE] = s"..., 4000) = 4000
14041 <... nanosleep resumed> NULL)     = 0
14041 recvfrom(9, 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 read(11, "\tfg[SELECTED]      = @selected_f"..., 4000) = 4000
14024 read(11, "t>.<GtkButton>.*<GtkLabel>\" styl"..., 4000) = 2622
14041 <... nanosleep resumed> NULL)     = 0
14041 recvfrom(9, 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 access("/usr/share/themes/Ambiance/gtk-2.0/apps/chromium.rc", F_OK) = 0
14024 lstat("/usr/share/themes/Ambiance/gtk-2.0/apps/chromium.rc", {st_mode=S_IFREG|0644, st_size=1073, ...}) = 0
14024 open("/usr/share/themes/Ambiance/gtk-2.0/apps/chromium.rc", O_RDONLY) = 12
14024 read(12, "# =============================="..., 4000) = 1073
14024 read(12, "", 4000)                = 0
14024 close(12)                         = 0
14024 access("/usr/share/themes/Ambiance/gtk-2.0/apps/chromium.rc.en_US", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/share/themes/Ambiance/gtk-2.0/apps/chromium.rc.en", F_OK) = -1 ENOENT (No such file or directory)
14041 <... nanosleep resumed> NULL)     = 0
14024 access("/usr/share/themes/Ambiance/gtk-2.0/apps/ff.rc", F_OK <unfinished ...>
14041 recvfrom(9,  <unfinished ...>
14024 <... access resumed> )            = 0
14041 <... recvfrom resumed> 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14024 lstat("/usr/share/themes/Ambiance/gtk-2.0/apps/ff.rc",  <unfinished ...>
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 <... lstat resumed> {st_mode=S_IFREG|0644, st_size=1017, ...}) = 0
14024 open("/usr/share/themes/Ambiance/gtk-2.0/apps/ff.rc", O_RDONLY) = 12
14024 read(12, "# =============================="..., 4000) = 1017
14024 read(12, "", 4000)                = 0
14024 close(12)                         = 0
14024 access("/usr/share/themes/Ambiance/gtk-2.0/apps/ff.rc.en_US", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/share/themes/Ambiance/gtk-2.0/apps/ff.rc.en", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/share/themes/Ambiance/gtk-2.0/apps/gnome-terminal.rc", F_OK) = 0
14024 lstat("/usr/share/themes/Ambiance/gtk-2.0/apps/gnome-terminal.rc", {st_mode=S_IFREG|0644, st_size=1289, ...}) = 0
14024 open("/usr/share/themes/Ambiance/gtk-2.0/apps/gnome-terminal.rc", O_RDONLY) = 12
14024 read(12, "# =============================="..., 4000) = 1289
14041 <... nanosleep resumed> NULL)     = 0
14041 recvfrom(9, 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 read(12, "", 4000)                = 0
14024 close(12)                         = 0
14024 access("/usr/share/themes/Ambiance/gtk-2.0/apps/gnome-terminal.rc.en_US", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/share/themes/Ambiance/gtk-2.0/apps/gnome-terminal.rc.en", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/share/themes/Ambiance/gtk-2.0/apps/nautilus.rc", F_OK) = 0
14024 lstat("/usr/share/themes/Ambiance/gtk-2.0/apps/nautilus.rc", {st_mode=S_IFREG|0644, st_size=461, ...}) = 0
14024 open("/usr/share/themes/Ambiance/gtk-2.0/apps/nautilus.rc", O_RDONLY) = 12
14024 read(12, "# =============================="..., 4000) = 461
14024 read(12, "", 4000)                = 0
14024 close(12)                         = 0
14024 access("/usr/share/themes/Ambiance/gtk-2.0/apps/nautilus.rc.en_US", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/share/themes/Ambiance/gtk-2.0/apps/nautilus.rc.en", F_OK) = -1 ENOENT (No such file or directory)
14024 read(11, "", 4000)                = 0
14024 close(11)                         = 0
14024 access("/usr/share/themes/Ambiance/gtk-2.0/gtkrc.en_US", F_OK <unfinished ...>
14041 <... nanosleep resumed> NULL)     = 0
14024 <... access resumed> )            = -1 ENOENT (No such file or directory)
14041 recvfrom(9,  <unfinished ...>
14024 access("/usr/share/themes/Ambiance/gtk-2.0/gtkrc.en", F_OK <unfinished ...>
14041 <... recvfrom resumed> 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14024 <... access resumed> )            = -1 ENOENT (No such file or directory)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 access("/home/infinoid/.themes/Default/gtk-2.0-key/gtkrc", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/share/themes/Default/gtk-2.0-key/gtkrc", F_OK) = 0
14024 lstat("/usr/share/themes/Default/gtk-2.0-key/gtkrc", {st_mode=S_IFREG|0644, st_size=82, ...}) = 0
14024 open("/usr/share/themes/Default/gtk-2.0-key/gtkrc", O_RDONLY) = 11
14024 read(11, "#\n# Default keybinding set. Empt"..., 4000) = 82
14024 read(11, "", 4000)                = 0
14024 close(11)                         = 0
14024 access("/usr/share/themes/Default/gtk-2.0-key/gtkrc.en_US", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/share/themes/Default/gtk-2.0-key/gtkrc.en", F_OK) = -1 ENOENT (No such file or directory)
14041 <... nanosleep resumed> NULL)     = 0
14041 recvfrom(9, 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 munmap(0x7fa8e2933000, 2138704)   = 0
14024 lstat("/etc/gtk-2.0/gtkrc", 0x7fffc90d0ba0) = -1 ENOENT (No such file or directory)
14041 <... nanosleep resumed> NULL)     = 0
14024 access("/etc/gtk-2.0/gtkrc.en_US", F_OK <unfinished ...>
14041 recvfrom(9,  <unfinished ...>
14024 <... access resumed> )            = -1 ENOENT (No such file or directory)
14041 <... recvfrom resumed> 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14024 access("/etc/gtk-2.0/gtkrc.en", F_OK <unfinished ...>
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 <... access resumed> )            = -1 ENOENT (No such file or directory)
14024 lstat("/home/infinoid/.gtkrc-2.0", {st_mode=S_IFREG|0644, st_size=204, ...}) = 0
14024 open("/home/infinoid/.gtkrc-2.0", O_RDONLY) = 11
14024 read(11, "# -- THEME AUTO-WRITTEN BY gtk-t"..., 4000) = 204
14024 lstat("/usr/share/themes/Dust/gtk-2.0/gtkrc", {st_mode=S_IFREG|0644, st_size=23916, ...}) = 0
14024 open("/usr/share/themes/Dust/gtk-2.0/gtkrc", O_RDONLY) = 12
14024 read(12, "# Dust theme\n# (c) 2010 Rico Sta"..., 4000) = 4000
14041 <... nanosleep resumed> NULL)     = 0
14041 recvfrom(9, 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 read(12, " display vertical menu stripe\n\t\t"..., 4000) = 4000
14041 <... nanosleep resumed> NULL)     = 0
14041 recvfrom(9,  <unfinished ...>
14024 access("/home/infinoid/bounce/ardour3/etc/ardour3/2.10.0/x86_64-pc-linux-gnu/engines/libpixmap.so", F_OK <unfinished ...>
14041 <... recvfrom resumed> 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14024 <... access resumed> )            = -1 ENOENT (No such file or directory)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 access("/home/infinoid/bounce/ardour3/etc/ardour3/2.10.0/x86_64-pc-linux-gnu/engines/libpixmap.la", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/etc/ardour3/2.10.0/engines/libpixmap.so", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/etc/ardour3/2.10.0/engines/libpixmap.la", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/etc/ardour3/x86_64-pc-linux-gnu/engines/libpixmap.so", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/etc/ardour3/x86_64-pc-linux-gnu/engines/libpixmap.la", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/etc/ardour3/engines/libpixmap.so", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/etc/ardour3/engines/libpixmap.la", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/lib/ardour3/2.10.0/x86_64-pc-linux-gnu/engines/libpixmap.so", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/lib/ardour3/2.10.0/x86_64-pc-linux-gnu/engines/libpixmap.la", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/lib/ardour3/2.10.0/engines/libpixmap.so", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/lib/ardour3/2.10.0/engines/libpixmap.la", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/lib/ardour3/x86_64-pc-linux-gnu/engines/libpixmap.so", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/lib/ardour3/x86_64-pc-linux-gnu/engines/libpixmap.la", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/lib/ardour3/engines/libpixmap.so", F_OK <unfinished ...>
14041 <... nanosleep resumed> NULL)     = 0
14024 <... access resumed> )            = -1 ENOENT (No such file or directory)
14041 recvfrom(9,  <unfinished ...>
14024 access("/home/infinoid/bounce/ardour3/lib/ardour3/engines/libpixmap.la", F_OK <unfinished ...>
14041 <... recvfrom resumed> 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14024 <... access resumed> )            = -1 ENOENT (No such file or directory)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 access("/home/infinoid/.gtk-2.0/2.10.0/x86_64-pc-linux-gnu/engines/libpixmap.so", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/.gtk-2.0/2.10.0/x86_64-pc-linux-gnu/engines/libpixmap.la", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/.gtk-2.0/2.10.0/engines/libpixmap.so", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/.gtk-2.0/2.10.0/engines/libpixmap.la", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/.gtk-2.0/x86_64-pc-linux-gnu/engines/libpixmap.so", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/.gtk-2.0/x86_64-pc-linux-gnu/engines/libpixmap.la", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/.gtk-2.0/engines/libpixmap.so", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/.gtk-2.0/engines/libpixmap.la", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/x86_64-pc-linux-gnu/engines/libpixmap.so", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/x86_64-pc-linux-gnu/engines/libpixmap.la", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/engines/libpixmap.so", F_OK) = 0
14024 stat("/usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/engines/libpixmap.so", {st_mode=S_IFREG|0644, st_size=43472, ...}) = 0
14024 open("/usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/engines/libpixmap.so", O_RDONLY|O_CLOEXEC <unfinished ...>
14041 <... nanosleep resumed> NULL)     = 0
14024 <... open resumed> )              = 13
14041 recvfrom(9,  <unfinished ...>
14024 read(13,  <unfinished ...>
14041 <... recvfrom resumed> 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14024 <... read resumed> "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`#\0\0\0\0\0\0"..., 832) = 832
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 fstat(13, {st_mode=S_IFREG|0644, st_size=43472, ...}) = 0
14024 mmap(NULL, 2138704, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 13, 0) = 0x7fa8e2933000
14024 mprotect(0x7fa8e293c000, 2097152, PROT_NONE) = 0
14024 mmap(0x7fa8e2b3c000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 13, 0x9000) = 0x7fa8e2b3c000
14024 close(13)                         = 0
14041 <... nanosleep resumed> NULL)     = 0
14041 recvfrom(9,  <unfinished ...>
14024 mprotect(0x7fa8e2b3c000, 4096, PROT_READ <unfinished ...>
14041 <... recvfrom resumed> 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14024 <... mprotect resumed> )          = 0
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 access("/usr/share/themes/Dust/gtk-2.0/toolbar_o.png", F_OK) = 0
14024 access("/usr/share/themes/Dust/gtk-2.0/handlebox.png", F_OK) = 0
14024 read(12, "entation\t\t= HORIZONTAL\n    \t\t}\n "..., 4000) = 4000
14024 access("/usr/share/themes/Dust/gtk-2.0/handlebox.png", F_OK) = 0
14024 access("/usr/share/themes/Dust/gtk-2.0/blank.png", F_OK) = 0
14024 access("/usr/share/themes/Dust/gtk-2.0/blank.png", F_OK) = 0
14041 <... nanosleep resumed> NULL)     = 0
14041 recvfrom(9, 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 access("/usr/share/themes/Dust/gtk-2.0/statusgrip.png", F_OK) = 0
14024 read(12, "\"blank.png\"\n\t\t}\n\t\timage\n\t\t{\n\t   "..., 4000) = 4000
14024 access("/usr/share/themes/Dust/gtk-2.0/blank.png", F_OK) = 0
14024 access("/usr/share/themes/Dust/gtk-2.0/blank.png", F_OK) = 0
14024 access("/usr/share/themes/Dust/gtk-2.0/blank.png", F_OK) = 0
14024 access("/usr/share/themes/Dust/gtk-2.0/blank.png", F_OK) = 0
14024 access("/usr/share/themes/Dust/gtk-2.0/menubar.png", F_OK <unfinished ...>
14041 <... nanosleep resumed> NULL)     = 0
14024 <... access resumed> )            = 0
14041 recvfrom(9, 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14024 access("/usr/share/themes/Dust/gtk-2.0/handlebox.png", F_OK <unfinished ...>
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 <... access resumed> )            = 0
14024 access("/usr/share/themes/Dust/gtk-2.0/handlebox.png", F_OK) = 0
14024 read(12, "r these apps are the content. Th"..., 4000) = 4000
14041 <... nanosleep resumed> NULL)     = 0
14041 recvfrom(9, 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 read(12, "rame>\"  \t\t\tstyle \"frame\"\nwidget_"..., 4000) = 3916
14041 <... nanosleep resumed> NULL)     = 0
14024 read(12,  <unfinished ...>
14041 recvfrom(9,  <unfinished ...>
14024 <... read resumed> "", 4000)      = 0
14041 <... recvfrom resumed> 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 close(12)                         = 0
14024 access("/usr/share/themes/Dust/gtk-2.0/gtkrc.en_US", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/share/themes/Dust/gtk-2.0/gtkrc.en", F_OK) = -1 ENOENT (No such file or directory)
14024 lstat("/home/infinoid/.gtkrc-2.0.mine", 0x7fffc90d0930) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/.gtkrc-2.0.mine.en_US", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/.gtkrc-2.0.mine.en", F_OK) = -1 ENOENT (No such file or directory)
14024 read(11, "", 4000)                = 0
14024 close(11)                         = 0
14024 access("/home/infinoid/.gtkrc-2.0.en_US", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/.gtkrc-2.0.en", F_OK) = -1 ENOENT (No such file or directory)
14041 <... nanosleep resumed> NULL)     = 0
14041 recvfrom(9, 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14024 lstat("/home/infinoid/bounce/ardour3/etc/ardour3/ardour3_ui_dark.rc",  <unfinished ...>
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 <... lstat resumed> {st_mode=S_IFREG|0664, st_size=211, ...}) = 0
14024 open("/home/infinoid/bounce/ardour3/etc/ardour3/ardour3_ui_dark.rc", O_RDONLY) = 11
14024 read(11, "gtk_color_scheme = \"ARDOUR_DARK_"..., 4000) = 211
14024 read(11, "", 4000)                = 0
14024 close(11)                         = 0
14024 access("/home/infinoid/bounce/ardour3/etc/ardour3/ardour3_ui_dark.rc.en_US", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/etc/ardour3/ardour3_ui_dark.rc.en", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/.themes/Ambiance/gtk-2.0/gtkrc", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/share/themes/Ambiance/gtk-2.0/gtkrc", F_OK) = 0
14024 lstat("/usr/share/themes/Ambiance/gtk-2.0/gtkrc",  <unfinished ...>
14041 <... nanosleep resumed> NULL)     = 0
14024 <... lstat resumed> {st_mode=S_IFREG|0644, st_size=18622, ...}) = 0
14041 recvfrom(9,  <unfinished ...>
14024 open("/usr/share/themes/Ambiance/gtk-2.0/gtkrc", O_RDONLY <unfinished ...>
14041 <... recvfrom resumed> 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14024 <... open resumed> )              = 11
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 read(11, "gtk-color-scheme = \"base_color:#"..., 4000) = 4000
14041 <... nanosleep resumed> NULL)     = 0
14041 recvfrom(9, 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14024 read(11,  <unfinished ...>
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 <... read resumed> " (1.15, @fg_color_dark)\n\ttext[SE"..., 4000) = 4000
14024 read(11, "der-length = 13\n\n\tbg[ACTIVE] = s"..., 4000) = 4000
14041 <... nanosleep resumed> NULL)     = 0
14041 recvfrom(9, 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 read(11, "\tfg[SELECTED]      = @selected_f"..., 4000) = 4000
14041 <... nanosleep resumed> NULL)     = 0
14041 recvfrom(9, 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 read(11, "t>.<GtkButton>.*<GtkLabel>\" styl"..., 4000) = 2622
14024 access("/usr/share/themes/Ambiance/gtk-2.0/apps/chromium.rc", F_OK) = 0
14024 lstat("/usr/share/themes/Ambiance/gtk-2.0/apps/chromium.rc", {st_mode=S_IFREG|0644, st_size=1073, ...}) = 0
14024 open("/usr/share/themes/Ambiance/gtk-2.0/apps/chromium.rc", O_RDONLY) = 12
14024 read(12, "# =============================="..., 4000) = 1073
14041 <... nanosleep resumed> NULL)     = 0
14024 read(12,  <unfinished ...>
14041 recvfrom(9,  <unfinished ...>
14024 <... read resumed> "", 4000)      = 0
14041 <... recvfrom resumed> 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 close(12)                         = 0
14024 access("/usr/share/themes/Ambiance/gtk-2.0/apps/chromium.rc.en_US", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/share/themes/Ambiance/gtk-2.0/apps/chromium.rc.en", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/share/themes/Ambiance/gtk-2.0/apps/ff.rc", F_OK) = 0
14024 lstat("/usr/share/themes/Ambiance/gtk-2.0/apps/ff.rc", {st_mode=S_IFREG|0644, st_size=1017, ...}) = 0
14024 open("/usr/share/themes/Ambiance/gtk-2.0/apps/ff.rc", O_RDONLY) = 12
14024 read(12, "# =============================="..., 4000) = 1017
14024 read(12, "", 4000)                = 0
14024 close(12)                         = 0
14024 access("/usr/share/themes/Ambiance/gtk-2.0/apps/ff.rc.en_US", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/share/themes/Ambiance/gtk-2.0/apps/ff.rc.en", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/share/themes/Ambiance/gtk-2.0/apps/gnome-terminal.rc", F_OK <unfinished ...>
14041 <... nanosleep resumed> NULL)     = 0
14024 <... access resumed> )            = 0
14041 recvfrom(9,  <unfinished ...>
14024 lstat("/usr/share/themes/Ambiance/gtk-2.0/apps/gnome-terminal.rc",  <unfinished ...>
14041 <... recvfrom resumed> 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14024 <... lstat resumed> {st_mode=S_IFREG|0644, st_size=1289, ...}) = 0
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 open("/usr/share/themes/Ambiance/gtk-2.0/apps/gnome-terminal.rc", O_RDONLY) = 12
14024 read(12, "# =============================="..., 4000) = 1289
14024 read(12, "", 4000)                = 0
14024 close(12)                         = 0
14024 access("/usr/share/themes/Ambiance/gtk-2.0/apps/gnome-terminal.rc.en_US", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/share/themes/Ambiance/gtk-2.0/apps/gnome-terminal.rc.en", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/share/themes/Ambiance/gtk-2.0/apps/nautilus.rc", F_OK) = 0
14024 lstat("/usr/share/themes/Ambiance/gtk-2.0/apps/nautilus.rc", {st_mode=S_IFREG|0644, st_size=461, ...}) = 0
14024 open("/usr/share/themes/Ambiance/gtk-2.0/apps/nautilus.rc", O_RDONLY) = 12
14041 <... nanosleep resumed> NULL)     = 0
14024 read(12,  <unfinished ...>
14041 recvfrom(9,  <unfinished ...>
14024 <... read resumed> "# =============================="..., 4000) = 461
14041 <... recvfrom resumed> 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 read(12, "", 4000)                = 0
14024 close(12)                         = 0
14024 access("/usr/share/themes/Ambiance/gtk-2.0/apps/nautilus.rc.en_US", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/share/themes/Ambiance/gtk-2.0/apps/nautilus.rc.en", F_OK) = -1 ENOENT (No such file or directory)
14024 read(11, "", 4000)                = 0
14024 close(11)                         = 0
14024 access("/usr/share/themes/Ambiance/gtk-2.0/gtkrc.en_US", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/share/themes/Ambiance/gtk-2.0/gtkrc.en", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/.themes/Default/gtk-2.0-key/gtkrc", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/share/themes/Default/gtk-2.0-key/gtkrc", F_OK) = 0
14024 lstat("/usr/share/themes/Default/gtk-2.0-key/gtkrc", {st_mode=S_IFREG|0644, st_size=82, ...}) = 0
14024 open("/usr/share/themes/Default/gtk-2.0-key/gtkrc", O_RDONLY) = 11
14024 read(11, "#\n# Default keybinding set. Empt"..., 4000) = 82
14024 read(11, "", 4000)                = 0
14041 <... nanosleep resumed> NULL)     = 0
14024 close(11 <unfinished ...>
14041 recvfrom(9,  <unfinished ...>
14024 <... close resumed> )             = 0
14041 <... recvfrom resumed> 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14024 access("/usr/share/themes/Default/gtk-2.0-key/gtkrc.en_US", F_OK <unfinished ...>
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 <... access resumed> )            = -1 ENOENT (No such file or directory)
14024 access("/usr/share/themes/Default/gtk-2.0-key/gtkrc.en", F_OK) = -1 ENOENT (No such file or directory)
14024 munmap(0x7fa8e2933000, 2138704 <unfinished ...>
14041 <... nanosleep resumed> NULL)     = 0
14041 recvfrom(9,  <unfinished ...>
14024 <... munmap resumed> )            = 0
14041 <... recvfrom resumed> 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 lstat("/etc/gtk-2.0/gtkrc", 0x7fffc90d0ba0) = -1 ENOENT (No such file or directory)
14024 access("/etc/gtk-2.0/gtkrc.en_US", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/etc/gtk-2.0/gtkrc.en", F_OK) = -1 ENOENT (No such file or directory)
14024 lstat("/home/infinoid/.gtkrc-2.0", {st_mode=S_IFREG|0644, st_size=204, ...}) = 0
14024 open("/home/infinoid/.gtkrc-2.0", O_RDONLY) = 11
14024 read(11, "# -- THEME AUTO-WRITTEN BY gtk-t"..., 4000) = 204
14024 lstat("/usr/share/themes/Dust/gtk-2.0/gtkrc",  <unfinished ...>
14041 <... nanosleep resumed> NULL)     = 0
14024 <... lstat resumed> {st_mode=S_IFREG|0644, st_size=23916, ...}) = 0
14041 recvfrom(9,  <unfinished ...>
14024 open("/usr/share/themes/Dust/gtk-2.0/gtkrc", O_RDONLY <unfinished ...>
14041 <... recvfrom resumed> 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14024 <... open resumed> )              = 12
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 read(12, "# Dust theme\n# (c) 2010 Rico Sta"..., 4000) = 4000
14024 read(12, " display vertical menu stripe\n\t\t"..., 4000) = 4000
14041 <... nanosleep resumed> NULL)     = 0
14041 recvfrom(9, 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 access("/home/infinoid/bounce/ardour3/etc/ardour3/2.10.0/x86_64-pc-linux-gnu/engines/libpixmap.so", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/etc/ardour3/2.10.0/x86_64-pc-linux-gnu/engines/libpixmap.la", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/etc/ardour3/2.10.0/engines/libpixmap.so", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/etc/ardour3/2.10.0/engines/libpixmap.la", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/etc/ardour3/x86_64-pc-linux-gnu/engines/libpixmap.so", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/etc/ardour3/x86_64-pc-linux-gnu/engines/libpixmap.la", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/etc/ardour3/engines/libpixmap.so", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/etc/ardour3/engines/libpixmap.la", F_OK <unfinished ...>
14041 <... nanosleep resumed> NULL)     = 0
14024 <... access resumed> )            = -1 ENOENT (No such file or directory)
14041 recvfrom(9,  <unfinished ...>
14024 access("/home/infinoid/bounce/ardour3/lib/ardour3/2.10.0/x86_64-pc-linux-gnu/engines/libpixmap.so", F_OK <unfinished ...>
14041 <... recvfrom resumed> 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14024 <... access resumed> )            = -1 ENOENT (No such file or directory)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 access("/home/infinoid/bounce/ardour3/lib/ardour3/2.10.0/x86_64-pc-linux-gnu/engines/libpixmap.la", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/lib/ardour3/2.10.0/engines/libpixmap.so", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/lib/ardour3/2.10.0/engines/libpixmap.la", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/lib/ardour3/x86_64-pc-linux-gnu/engines/libpixmap.so", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/lib/ardour3/x86_64-pc-linux-gnu/engines/libpixmap.la", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/lib/ardour3/engines/libpixmap.so", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/lib/ardour3/engines/libpixmap.la", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/.gtk-2.0/2.10.0/x86_64-pc-linux-gnu/engines/libpixmap.so", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/.gtk-2.0/2.10.0/x86_64-pc-linux-gnu/engines/libpixmap.la", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/.gtk-2.0/2.10.0/engines/libpixmap.so", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/.gtk-2.0/2.10.0/engines/libpixmap.la", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/.gtk-2.0/x86_64-pc-linux-gnu/engines/libpixmap.so", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/.gtk-2.0/x86_64-pc-linux-gnu/engines/libpixmap.la", F_OK <unfinished ...>
14041 <... nanosleep resumed> NULL)     = 0
14024 <... access resumed> )            = -1 ENOENT (No such file or directory)
14041 recvfrom(9,  <unfinished ...>
14024 access("/home/infinoid/.gtk-2.0/engines/libpixmap.so", F_OK <unfinished ...>
14041 <... recvfrom resumed> 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14024 <... access resumed> )            = -1 ENOENT (No such file or directory)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 access("/home/infinoid/.gtk-2.0/engines/libpixmap.la", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/x86_64-pc-linux-gnu/engines/libpixmap.so", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/x86_64-pc-linux-gnu/engines/libpixmap.la", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/engines/libpixmap.so", F_OK) = 0
14024 stat("/usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/engines/libpixmap.so", {st_mode=S_IFREG|0644, st_size=43472, ...}) = 0
14024 open("/usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/engines/libpixmap.so", O_RDONLY|O_CLOEXEC) = 13
14024 read(13, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`#\0\0\0\0\0\0"..., 832) = 832
14024 fstat(13, {st_mode=S_IFREG|0644, st_size=43472, ...}) = 0
14024 mmap(NULL, 2138704, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 13, 0) = 0x7fa8e2933000
14024 mprotect(0x7fa8e293c000, 2097152, PROT_NONE) = 0
14024 mmap(0x7fa8e2b3c000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 13, 0x9000) = 0x7fa8e2b3c000
14041 <... nanosleep resumed> NULL)     = 0
14024 close(13 <unfinished ...>
14041 recvfrom(9,  <unfinished ...>
14024 <... close resumed> )             = 0
14041 <... recvfrom resumed> 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 mprotect(0x7fa8e2b3c000, 4096, PROT_READ) = 0
14024 access("/usr/share/themes/Dust/gtk-2.0/toolbar_o.png", F_OK) = 0
14041 <... nanosleep resumed> NULL)     = 0
14024 access("/usr/share/themes/Dust/gtk-2.0/handlebox.png", F_OK <unfinished ...>
14041 recvfrom(9,  <unfinished ...>
14024 <... access resumed> )            = 0
14041 <... recvfrom resumed> 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 read(12, "entation\t\t= HORIZONTAL\n    \t\t}\n "..., 4000) = 4000
14024 access("/usr/share/themes/Dust/gtk-2.0/handlebox.png", F_OK) = 0
14024 access("/usr/share/themes/Dust/gtk-2.0/blank.png", F_OK) = 0
14024 access("/usr/share/themes/Dust/gtk-2.0/blank.png", F_OK) = 0
14041 <... nanosleep resumed> NULL)     = 0
14024 access("/usr/share/themes/Dust/gtk-2.0/statusgrip.png", F_OK <unfinished ...>
14041 recvfrom(9,  <unfinished ...>
14024 <... access resumed> )            = 0
14041 <... recvfrom resumed> 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 read(12, "\"blank.png\"\n\t\t}\n\t\timage\n\t\t{\n\t   "..., 4000) = 4000
14024 access("/usr/share/themes/Dust/gtk-2.0/blank.png", F_OK) = 0
14024 access("/usr/share/themes/Dust/gtk-2.0/blank.png", F_OK) = 0
14024 access("/usr/share/themes/Dust/gtk-2.0/blank.png", F_OK) = 0
14024 access("/usr/share/themes/Dust/gtk-2.0/blank.png", F_OK) = 0
14024 access("/usr/share/themes/Dust/gtk-2.0/menubar.png", F_OK) = 0
14024 access("/usr/share/themes/Dust/gtk-2.0/handlebox.png", F_OK) = 0
14024 access("/usr/share/themes/Dust/gtk-2.0/handlebox.png", F_OK) = 0
14041 <... nanosleep resumed> NULL)     = 0
14041 recvfrom(9, 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 read(12, "r these apps are the content. Th"..., 4000) = 4000
14024 read(12, "rame>\"  \t\t\tstyle \"frame\"\nwidget_"..., 4000) = 3916
14041 <... nanosleep resumed> NULL)     = 0
14041 recvfrom(9, 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 read(12, "", 4000)                = 0
14024 close(12)                         = 0
14024 access("/usr/share/themes/Dust/gtk-2.0/gtkrc.en_US", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/usr/share/themes/Dust/gtk-2.0/gtkrc.en", F_OK) = -1 ENOENT (No such file or directory)
14024 lstat("/home/infinoid/.gtkrc-2.0.mine", 0x7fffc90d0930) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/.gtkrc-2.0.mine.en_US", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/.gtkrc-2.0.mine.en", F_OK) = -1 ENOENT (No such file or directory)
14024 read(11, "", 4000)                = 0
14024 close(11)                         = 0
14024 access("/home/infinoid/.gtkrc-2.0.en_US", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/.gtkrc-2.0.en", F_OK) = -1 ENOENT (No such file or directory)
14041 <... nanosleep resumed> NULL)     = 0
14041 recvfrom(9, 0x255adb4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
14041 nanosleep({0, 1000000},  <unfinished ...>
14024 lstat("/home/infinoid/bounce/ardour3/etc/ardour3/ardour3_ui_dark.rc", {st_mode=S_IFREG|0664, st_size=211, ...}) = 0
14024 open("/home/infinoid/bounce/ardour3/etc/ardour3/ardour3_ui_dark.rc", O_RDONLY) = 11
14024 read(11, "gtk_color_scheme = \"ARDOUR_DARK_"..., 4000) = 211
14024 read(11, "", 4000)                = 0
14024 close(11)                         = 0
14024 access("/home/infinoid/bounce/ardour3/etc/ardour3/ardour3_ui_dark.rc.en_US", F_OK) = -1 ENOENT (No such file or directory)
14024 access("/home/infinoid/bounce/ardour3/etc/ardour3/ardour3_ui_dark.rc.en", F_OK) = -1 ENOENT (No such file or directory)

5605-strace.txt (34,765 bytes)

infinoid

2013-08-03 14:06

reporter   ~0015230

I've attached a small snippet of the strace output, enough to show 2 full iterations of the loop (and 3 reads of the rc file).

This is from ardour 3.3, configured and installed with a prefix of /home/infinoid/bounce/ardour3. Here's the console output up until the time of the hang:

bnd txt domain [gtk2_ardour3] to /home/infinoid/bounce/ardour3/share/locale
Ardour3.3 (built using 3.3-upstream and GCC version 4.6.3)
ardour: [INFO]: Loading default ui configuration file /home/infinoid/bounce/ardour3/etc/ardour3/ardour3_ui_default.conf
Your system is configured to limit Ardour to only 4096 open files
ardour: [INFO]: Loading system configuration file /home/infinoid/bounce/ardour3/etc/ardour3/ardour_system.rc
Loading user configuration file /home/infinoid/.config/ardour3/ardour.rc
Using SSE optimized routines
ardour: [INFO]: Loading ui configuration file /home/infinoid/bounce/ardour3/etc/ardour3/ardour3_ui_dark.rc

infinoid

2013-08-03 14:11

reporter   ~0015231

I think I'll have more luck with gdb if I build my own gtkmm. The -dbg packages help a little, but there's a lot going on, and it's hard to follow without the sources to look at.

nick

2013-10-26 16:05

reporter   ~0015464

This also appears to happen when using the Numix theme from the Arch AUR (https://aur.archlinux.org/packages/gtk-theme-numix/) and ardour from the arch repos. I get the following from strace -etrace=open ardour3:

...
open("/etc/ardour3/ardour3_ui_default.conf", O_RDONLY) = 8

(ardour-3.5:15406): GLib-GObject-WARNING **: Attempt to add property gtkmm__CustomObject_N9Gtkmm2ext25CellRendererColorSelectorE::color after class was initialised
ardour: [INFO]: Loading default ui configuration file /etc/ardour3/ardour3_ui_default.conf
Loading ui configuration file /etc/ardour3/ardour3_ui_dark.rc
open("/etc/ardour3/ardour3_ui_dark.rc", O_RDONLY) = 8
open("~/.gtkrc-2.0", O_RDONLY) = 9
open("/etc/ardour3/ardour3_ui_dark.rc", O_RDONLY) = 9
open("/usr/lib/ardour3/engines/libclearlooks.so", O_RDONLY|O_CLOEXEC) = 10
open("/usr/share/themes/Numix/gtk-2.0/gtkrc", O_RDONLY) = 9
open("/usr/share/gtk-2.0/gtkrc", O_RDONLY) = 9
open("~/.gtkrc-2.0", O_RDONLY) = 9
open("/usr/share/themes/Numix/gtk-2.0/gtkrc", O_RDONLY) = 9
open("/usr/share/gtk-2.0/gtkrc", O_RDONLY) = 9
open("~/.gtkrc-2.0", O_RDONLY) = 9
open("/etc/ardour3/ardour3_ui_dark.rc", O_RDONLY) = 9
open("/usr/share/themes/Numix/gtk-2.0/gtkrc", O_RDONLY) = 9
open("/usr/share/gtk-2.0/gtkrc", O_RDONLY) = 9
open("~/.gtkrc-2.0", O_RDONLY) = 9
open("/etc/ardour3/ardour3_ui_dark.rc", O_RDONLY) = 9
open("/usr/share/themes/Numix/gtk-2.0/gtkrc", O_RDONLY) = 9
open("/usr/share/gtk-2.0/gtkrc", O_RDONLY) = 9
open("~/.gtkrc-2.0", O_RDONLY) = 9
open("/etc/ardour3/ardour3_ui_dark.rc", O_RDONLY) = 9
...

and so on, forever.

A workaround is to do:
GTK2_RC_FILES=/usr/share/themes/Adwaita/gtk-2.0/gtkrc ardour3

which makes everything work fine.

privong

2015-10-18 12:16

reporter   ~0017493

For what it's worth, this issue appears to still be present with Ardour 4.2 (tested on Arch Linux), and the numix theme. The workaround nick suggested seems to work for me.

paul

2015-10-23 03:00

administrator   ~0017506

For the record, this will happen on any system that uses a system/user GTK theme that defines a gtk color theme. There is a bug in GTK2 that causes a hang/lockup when a second color theme is defined.

Most systems use a GTK theme without a gtk color theme definition.

Almost no other applications include their own GTK2 RC file, and of the ones that do, almost none of them define a color scheme.

fvb

2015-12-28 19:12

reporter   ~0017753

On Arch Linux with Ardour4.4.0 using Gnome shell having the Plasma desktop's breeze-gtk theme installed also causes this issue. The suggested workaround works, as does removing the package if you don't need it.

paul

2016-03-04 16:07

administrator   ~0018037

This has been fixed (we believe) in newer versions of Ardour.

arno

2016-03-31 12:51

reporter   ~0018098

I can reproduce this with code pulled from git today.

paul

2016-03-31 12:54

administrator   ~0018099

What Linux distro? What desktop? What GTK engine/theme ?

arno

2016-03-31 12:55

reporter   ~0018100

The workaround from comment 15464 does not help either.
This is on Ubuntu 15.10

paul

2016-03-31 13:00

administrator   ~0018101

What desktop? What GTK engine/theme ?

arno

2016-03-31 13:02

reporter   ~0018102

The only way of starting ardour at all was by removing the colour file. Which gives crazy colours all over the window, and makes it next to unusable. But it runs at least...

arno

2016-03-31 13:04

reporter   ~0018103

unity 7.3.3 and which is the most exact way to see the gtk engine/theme which is running?

x42

2016-03-31 13:04

administrator   ~0018104

The fix only applies to bundled binary versions of Ardour (unset GTK2_RC_FILES variable bundle_env_linux.cc)

It is not applicable to source-code builds nor distribution provided binaries where Ardour will not interfere with the system environment.

arno

2016-03-31 13:08

reporter   ~0018105

P. S. I remeber the trick with deleting the color file did NOT give those crazy colours some months ago

arno

2016-03-31 13:11

reporter   ~0018106

@x42; So what can i do?

paul

2016-03-31 13:18

administrator   ~0018107

You would need to actually run our script for creating an ardour package for linux.

We assume that people who want to build from git are capable enough to adjust their environment settings to avoid an issue like this. If you don't want to mess with that, but want to keep testing current code, just get Ardour from http://nightly.ardour.org/

arno

2016-03-31 13:25

reporter   ~0018108

well not so easy if you do not tell me how i should adjust them

x42

2016-03-31 13:26

administrator   ~0018109

try
   export GTK2_RC_FILES=/usr/share/themes/Adwaita/gtk-2.0/gtkrc
or maybe GTK2_RC_FILES=/nonexistent

as per http://tracker.ardour.org/view.php?id=5605#c15464

arno

2016-03-31 13:29

reporter   ~0018110

the first i had already tried of course.
THE SECOND DOES WORK! (only)

arno

2016-03-31 13:32

reporter   ~0018111

Thanks!

arno

2016-03-31 13:41

reporter   ~0018112

BTW my gtk theme is called Orion. Just since you asked before.

arno

2016-03-31 14:05

reporter   ~0018113

But with this workaround there are no colours on the waveforms. The rest looks quite normal. The mixer shows in the most upper part of the strips the track colour correctly.

x42

2016-03-31 14:18

administrator   ~0018114

Preferences > Theme. Color Regions using their track's color?

(maybe you reset the ardour theme while testing, the default is "off")

arno

2016-04-01 18:51

reporter   ~0018123

Thanks, that was helpful!

x42

2017-06-09 14:49

administrator   ~0019778

Interaction with system-wide distribution-specific GTK is not under Ardour's control.

It's arguably a bug in gtkmm (multiple color definitions).
Linux distribution packagers of Ardour can override GTK2_RC_FILES in ardour's startup script if (and only if) it's needed for the themes/gtk-engine they ship.

Issue History

Date Modified Username Field Change
2013-07-21 10:49 paddybu New Issue
2013-07-21 10:56 paddybu Note Added: 0015148
2013-07-21 11:34 x42 Note Added: 0015149
2013-07-21 21:15 paddybu Note Added: 0015152
2013-07-23 01:05 paul Note Added: 0015156
2013-08-01 21:29 infinoid Note Added: 0015208
2013-08-01 21:54 x42 Note Added: 0015209
2013-08-01 21:56 x42 Note Added: 0015210
2013-08-01 22:15 infinoid Note Added: 0015211
2013-08-01 22:25 infinoid Note Added: 0015212
2013-08-01 22:27 x42 Note Added: 0015213
2013-08-02 22:35 infinoid Note Added: 0015217
2013-08-03 02:35 x42 Note Added: 0015220
2013-08-03 12:10 infinoid Note Added: 0015223
2013-08-03 12:41 x42 Note Added: 0015224
2013-08-03 14:06 infinoid File Added: 5605-strace.txt
2013-08-03 14:06 infinoid Note Added: 0015230
2013-08-03 14:11 infinoid Note Added: 0015231
2013-10-26 16:05 nick Note Added: 0015464
2015-04-20 14:02 x42 Relationship added related to 0006264
2015-10-02 23:17 x42 Relationship added related to 0006616
2015-10-18 12:16 privong Note Added: 0017493
2015-10-23 03:00 paul Note Added: 0017506
2015-12-28 19:12 fvb Note Added: 0017753
2016-03-04 15:58 x42 Relationship added has duplicate 0006809
2016-03-04 16:07 paul Note Added: 0018037
2016-03-31 12:51 arno Note Added: 0018098
2016-03-31 12:54 paul Note Added: 0018099
2016-03-31 12:55 arno Note Added: 0018100
2016-03-31 13:00 paul Note Added: 0018101
2016-03-31 13:02 arno Note Added: 0018102
2016-03-31 13:04 arno Note Added: 0018103
2016-03-31 13:04 x42 Note Added: 0018104
2016-03-31 13:08 arno Note Added: 0018105
2016-03-31 13:11 arno Note Added: 0018106
2016-03-31 13:18 paul Note Added: 0018107
2016-03-31 13:25 arno Note Added: 0018108
2016-03-31 13:26 x42 Note Added: 0018109
2016-03-31 13:29 arno Note Added: 0018110
2016-03-31 13:32 arno Note Added: 0018111
2016-03-31 13:41 arno Note Added: 0018112
2016-03-31 14:05 arno Note Added: 0018113
2016-03-31 14:18 x42 Note Added: 0018114
2016-04-01 18:51 arno Note Added: 0018123
2016-05-23 11:05 x42 Relationship added has duplicate 0006884
2016-08-05 20:24 x42 Relationship added related to 0006942
2017-06-09 14:49 x42 Note Added: 0019778
2017-06-09 14:49 x42 Status new => resolved
2017-06-09 14:49 x42 Resolution open => not fixable
2017-06-09 14:49 x42 Assigned To => x42